#pragma once

#include <DXUT.h>

class Effect
{
	public:
	virtual HRESULT init() = 0;
	virtual void setModelMatrix(D3DXMATRIX* modelMatrix) = 0;
	virtual void setViewMatrix(D3DXMATRIX* viewMatrix) = 0;
	virtual void setProjectionMatrix(D3DXMATRIX* projMatrix) = 0;
};